Bug 851813 - Review Request: emerald - Themeable window decorator and compositing manager for Compiz Fusion
Review Request: emerald - Themeable window decorator and compositing manager ...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: leigh scott
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-25 19:58 EDT by Wolfgang Ulbrich
Modified: 2013-02-12 08:25 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-28 10:24:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
leigh123linux: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Wolfgang Ulbrich 2012-08-25 19:58:24 EDT
Spec URL: http://raveit65.fedorapeople.org/compiz/SPEC/emerald.spec
SRPM URL: http://raveit65.fedorapeople.org/compiz/SRPM/emerald-0.8.8-1.fc17.src.rpm
Description: Emerald is themeable window decorator and compositing manager for Compiz.
Fedora Account System Username: raveit65
Comment 1 Wolfgang Ulbrich 2012-08-26 06:35:38 EDT
This is a re-review of a retired package.
Comment 3 Wolfgang Ulbrich 2012-12-17 15:42:12 EST
f19 scratch build
http://koji.fedoraproject.org/koji/taskinfo?taskID=4797975
http://kojipkgs.fedoraproject.org//work/tasks/7976/4797976/emerald-0.8.8-4.fc19.src.rpm

Let's geeeeeet reeeaaaaaady for reeeevieeew
Comment 4 Wolfgang Ulbrich 2012-12-26 07:27:34 EST
bump for fedora review tool.

Spec URL: http://raveit65.fedorapeople.org/compiz/SPEC/emerald.spec
SRPM URL: http://raveit65.fedorapeople.org/compiz/SRPM/emerald-0.8.8-4.fc18.src.rpm
Comment 5 leigh scott 2012-12-26 07:51:22 EST
FAIL!!


Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
[!]: Package do not use a name that already exist
     Note: A package already exist with this name, please check
     https://admin.fedoraproject.org/pkgdb/acls/name/emerald
See: https://fedoraproject.org/wiki/Packaging/NamingGuidelines#Conflicting_Package_Names


===== MUST items =====

C/C++:
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
[-]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install if there is
     such a file.
[x]: Development files must be in a -devel package
[ ]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[?]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in %package
     devel
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later)", "Unknown or generated". 2 files have unknown
     license. Detailed output of licensecheck in
     /home/leigh/851813-emerald/licensecheck.txt

Surely it should be GPLv2+


[x]: License file installed when any subpackage combination is installed.
[x]: The spec file handles locales properly.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[!]: Package do not use a name that already exist
     Note: A package already exist with this name, please check
     https://admin.fedoraproject.org/pkgdb/acls/name/emerald
[x]: Package obeys FHS, except libexecdir and /usr/target.
[?]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[x]: Package is not relocatable.
[x]: Requires correct, justified where necessary.
[?]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[?]: Useful -debuginfo package or justification otherwise.
[?]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 30720 bytes in 1 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[?]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: Package functions as described.
[-]: Latest version is packaged.
[?]: Package does not include license text files separate from upstream.
[?]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: The placement of pkgconfig(.pc) files are correct.
[!]: Scriptlets must be sane, if used.

The icon cache scriptlet is wrong

[x]: SourceX tarball generation or download is documented.
[!]: SourceX / PatchY prefixed with %{name}.
     Note: Patch0 (DSO.patch)
[x]: SourceX is a working URL.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[?]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: emerald-0.8.8-4.fc19.x86_64.rpm
          emerald-devel-0.8.8-4.fc19.x86_64.rpm
          emerald-0.8.8-4.fc19.src.rpm
          emerald-debuginfo-0.8.8-4.fc19.x86_64.rpm
emerald.x86_64: W: spelling-error Summary(en_US) Themeable -> Theme able, Theme-able, Permeable
emerald.x86_64: W: spelling-error Summary(en_US) compositing -> composting, com positing, com-positing
emerald.x86_64: W: spelling-error %description -l en_US themeable -> theme able, theme-able, permeable
emerald.x86_64: W: spelling-error %description -l en_US compositing -> composting, com positing, com-positing
emerald-devel.x86_64: W: spelling-error %description -l en_US themeable -> theme able, theme-able, permeable
emerald-devel.x86_64: W: no-documentation
emerald.src: W: spelling-error Summary(en_US) Themeable -> Theme able, Theme-able, Permeable
emerald.src: W: spelling-error Summary(en_US) compositing -> composting, com positing, com-positing
emerald.src: W: spelling-error %description -l en_US themeable -> theme able, theme-able, permeable
emerald.src: W: spelling-error %description -l en_US compositing -> composting, com positing, com-positing
4 packages and 0 specfiles checked; 0 errors, 10 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint emerald-devel emerald-debuginfo emerald
emerald-devel.x86_64: W: spelling-error %description -l en_US themeable -> theme able, theme-able, permeable
emerald-devel.x86_64: W: no-documentation
emerald.x86_64: W: spelling-error Summary(en_US) Themeable -> Theme able, Theme-able, Permeable
emerald.x86_64: W: spelling-error Summary(en_US) compositing -> composting, com positing, com-positing
emerald.x86_64: W: spelling-error %description -l en_US themeable -> theme able, theme-able, permeable
emerald.x86_64: W: spelling-error %description -l en_US compositing -> composting, com positing, com-positing
emerald.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libemeraldengine.so.0.0.0 /lib64/libpthread.so.0
3 packages and 0 specfiles checked; 0 errors, 7 warnings.
# echo 'rpmlint-done:'



Requires
--------
emerald-0.8.8-4.fc19.x86_64.rpm (rpmlib, GLIBC filtered):
    
    /bin/sh
    compiz >= 0.8.8
    libX11.so.6()(64bit)
    libXrender.so.1()(64bit)
    libatk-1.0.so.0()(64bit)
    libc.so.6()(64bit)
    libcairo.so.2()(64bit)
    libdecoration.so.0()(64bit)
    libdl.so.2()(64bit)
    libemeraldengine.so.0()(64bit)
    libfontconfig.so.1()(64bit)
    libfreetype.so.6()(64bit)
    libgdk-x11-2.0.so.0()(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgtk-x11-2.0.so.0()(64bit)
    libm.so.6()(64bit)
    libpango-1.0.so.0()(64bit)
    libpangocairo-1.0.so.0()(64bit)
    libpangoft2-1.0.so.0()(64bit)
    libpthread.so.0()(64bit)
    libwnck-1.so.22()(64bit)
    rtld(GNU_HASH)

emerald-devel-0.8.8-4.fc19.x86_64.rpm (rpmlib, GLIBC filtered):
    
    /usr/bin/pkg-config
    emerald(x86-64) = 1:0.8.8-4.fc19
    libemeraldengine.so.0()(64bit)
    pkgconfig
    pkgconfig(gtk+-2.0) >= 2.8.0
    pkgconfig(libdecoration)
    pkgconfig(libwnck-1.0)
    pkgconfig(pangocairo)
    pkgconfig(xrender) >= 0.8.4

emerald-debuginfo-0.8.8-4.fc19.x86_64.rpm (rpmlib, GLIBC filtered):
    



Provides
--------
emerald-0.8.8-4.fc19.x86_64.rpm:
    
    emerald = 1:0.8.8-4.fc19
    emerald(x86-64) = 1:0.8.8-4.fc19
    libemeraldengine.so.0()(64bit)
    liblegacy.so()(64bit)
    libline.so()(64bit)
    liboxygen.so()(64bit)
    libpixmap.so()(64bit)
    libtruglass.so()(64bit)
    libvrunner.so()(64bit)
    libzootreeves.so()(64bit)
    mimehandler(application/x-emerald-theme)

emerald-devel-0.8.8-4.fc19.x86_64.rpm:
    
    emerald-devel = 1:0.8.8-4.fc19
    emerald-devel(x86-64) = 1:0.8.8-4.fc19
    pkgconfig(emeraldengine) = 0.8.8

emerald-debuginfo-0.8.8-4.fc19.x86_64.rpm:
    
    emerald-debuginfo = 1:0.8.8-4.fc19
    emerald-debuginfo(x86-64) = 1:0.8.8-4.fc19



Unversioned so-files
--------------------
emerald-0.8.8-4.fc19.x86_64.rpm: /usr/lib64/emerald/engines/liblegacy.so
emerald-0.8.8-4.fc19.x86_64.rpm: /usr/lib64/emerald/engines/libline.so
emerald-0.8.8-4.fc19.x86_64.rpm: /usr/lib64/emerald/engines/liboxygen.so
emerald-0.8.8-4.fc19.x86_64.rpm: /usr/lib64/emerald/engines/libpixmap.so
emerald-0.8.8-4.fc19.x86_64.rpm: /usr/lib64/emerald/engines/libtruglass.so
emerald-0.8.8-4.fc19.x86_64.rpm: /usr/lib64/emerald/engines/libvrunner.so
emerald-0.8.8-4.fc19.x86_64.rpm: /usr/lib64/emerald/engines/libzootreeves.so

MD5-sum check
-------------
http://releases.compiz.org/0.8.8/emerald-0.8.8.tar.bz2 :
  CHECKSUM(SHA256) this package     : 239285ced20e817f5303e935d922236f828ca905b264833005a330df2089e8a3
  CHECKSUM(SHA256) upstream package : 239285ced20e817f5303e935d922236f828ca905b264833005a330df2089e8a3


Generated by fedora-review 0.3.1 (b71abc1) last change: 2012-10-16
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 851813
Comment 6 Wolfgang Ulbrich 2012-12-26 08:41:40 EST
Thanks for your hints.
Here is the new build.

* Wed Dec 26 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1:0.8.8-5
- fix license information
- fix rpm scriptlets
- add icon cache rpm scriptlet
- rename DSO patch


Spec URL: http://raveit65.fedorapeople.org/compiz/SPEC/emerald.spec
SRPM URL: http://raveit65.fedorapeople.org/compiz/SRPM/emerald-0.8.8-5.fc18.src.rpm
Comment 7 leigh scott 2012-12-26 09:19:24 EST
APPROVED!!
Comment 8 Wolfgang Ulbrich 2012-12-26 09:27:51 EST
Package Change Request
======================
Package Name: emerald
New Branches: f18
Owners: raveit65
InitialCC:
Comment 9 Kevin Fenzi 2012-12-30 15:16:27 EST
Git done (by process-git-requests).
(I undeprecated it in pkgdb, you will need to take ownership of master/rawhide branch)
Comment 10 Fedora Update System 2013-01-16 18:23:13 EST
emerald-0.8.8-5.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/emerald-0.8.8-5.fc18
Comment 11 Fedora Update System 2013-01-19 21:59:50 EST
emerald-0.8.8-5.fc18 has been pushed to the Fedora 18 testing repository.
Comment 12 Fedora Update System 2013-01-28 10:24:09 EST
emerald-0.8.8-5.fc18 has been pushed to the Fedora 18 stable repository.
Comment 13 Wolfgang Ulbrich 2013-02-12 07:54:22 EST
Package Change Request
======================
Package Name: emerald
New Branches: f17
Owners: raveit65
InitialCC:
Comment 14 Gwyn Ciesla 2013-02-12 08:25:25 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.